> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Integrations

> List all of the available integrations to be created in Galileo.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/integrations/available
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/integrations/available:
    get:
      tags:
        - integrations
      summary: List Available Integrations
      description: List all of the available integrations to be created in Galileo.
      operationId: list_available_integrations_v2_integrations_available_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailableIntegrations'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    AvailableIntegrations:
      properties:
        integrations:
          items:
            $ref: '#/components/schemas/IntegrationName'
          type: array
          title: Integrations
      type: object
      required:
        - integrations
      title: AvailableIntegrations
    IntegrationName:
      type: string
      enum:
        - anthropic
        - aws_bedrock
        - aws_sagemaker
        - azure
        - custom
        - databricks
        - mistral
        - nvidia
        - openai
        - vegas_gateway
        - vertex_ai
        - writer
      title: IntegrationName
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````